package nz.ac.massey.javaecs;
/**
 * ECS System class
 * This class stores entity-system registrations. These are
 * updated by SystemManager, but need a type to store the
 * data under.
 * 
 * All systems should inherit from this
 * 
 * Contributors:
 * Brychan Dempsey - brychand@hotmail.com
 * 
 */

import java.util.Set;
import java.util.HashSet;

abstract class ECSSystem{
    Set<Integer> entities = new HashSet<>();

    // Abstractions are included to remind the library user these two implementations (and/or variations) should be implemented
    abstract void init();
    abstract void update();
}